
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Internal table
-- Must be present
CREATE TABLE DBCATALOG (
    EV DATE NOT NULL
);


-- Create main ReaderwareAW table
CREATE TABLE AUDIOWARE (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    TITLE VARCHAR(255) NOT NULL, 
    ARTIST DECIMAL NULL, 
    COMPOSER DECIMAL NULL, 
    CONDUCTOR DECIMAL NULL, 
    ORCHESTRA DECIMAL NULL, 
    SOLOIST DECIMAL NULL, 
    WORK_TITLE VARCHAR(255) NULL, 
    PUBLISHER DECIMAL NULL, 
    RELEASE_DATE DATE NULL, 
    COPYRIGHT_DATE DATE NULL, 
    RUNNING_TIME DECIMAL NULL, 
    CONTENT_LANGUAGE DECIMAL NULL, 
    COPIES DECIMAL NOT NULL, 
    BARCODE VARCHAR(128) NULL, 
    UPC VARCHAR(25) NULL, 
    LCCN VARCHAR(16) NULL, 
    DEWEY VARCHAR(32) NULL, 
    CALL_NUMBER VARCHAR(32) NULL, 
    USER_NUMBER VARCHAR(32) NULL, 
    ITEM_TYPE DECIMAL NULL, 
    FORMAT DECIMAL NULL,  
    SERIES DECIMAL NULL, 
    SOUND DECIMAL NULL, 
    MY_RATING DECIMAL NULL, 
    ITEM_CONDITION DECIMAL NULL, 
    COVER_CONDITION DECIMAL NULL, 
    CATEGORY1 DECIMAL NULL, 
    CATEGORY2 DECIMAL NULL, 
    CATEGORY3 DECIMAL NULL, 
    LOCATION DECIMAL NULL, 
    KEYWORDS VARCHAR(255) NULL, 
    PLAYED_COUNT DECIMAL NOT NULL, 
    DATE_LAST_PLAYED DATE NULL, 
    PLAYLIST DECIMAL NOT NULL,
    PRODUCT_INFO VARCHAR(65536) NULL, 
    MY_COMMENTS VARCHAR(65536) NULL, 
    DATE_ENTERED DATE NOT NULL, 
    DATE_LAST_UPDATED DATE NOT NULL, 
    SOURCE DECIMAL NULL, 
    CATALOG_NUMBER VARCHAR(50) NULL, 
    RECORDING_TYPE DECIMAL NULL, 
    RECORDING_DATE DATE NULL, 
    RECORDING_PLACE VARCHAR(128) NULL, 
    PURCHASE_PRICE DECIMAL(12, 2) NOT NULL, 
    PURCHASE_DATE DATE NULL, 
    PURCHASE_PLACE DECIMAL NULL, 
    LIST_PRICE DECIMAL(12, 2) NOT NULL, 
    ITEM_VALUE DECIMAL(12, 2) NOT NULL, 
    VALUATION_DATE DATE NULL, 
    CURRENCY_SYMBOL VARCHAR(5) NULL, 
    FAVORITE DECIMAL NOT NULL,
    OUT_OF_PRINT DECIMAL NOT NULL,
    MEDIA_URL VARCHAR(255) NULL, 
    OWNER DECIMAL NULL,
    STATUS DECIMAL NULL,
    EXTERNAL_ID VARCHAR(32) NULL, 
    INVENTORY DECIMAL NOT NULL,
    IMAGE1_DATA BLOB(65536) NULL, 
    IMAGE2_DATA BLOB(65536) NULL, 
    IMAGE1_LARGE_DATA BLOB(262144) NULL, 
    IMAGE2_LARGE_DATA BLOB(262144) NULL, 
    IN_LAST_BATCH DECIMAL NOT NULL,
    AM_ASIN VARCHAR(14) NULL, 
    SALE_PRICE DECIMAL(12, 2) NULL, 
    SALE_DATE DATE NULL, 
    NEW_VALUE DECIMAL(12, 2) NULL, 
    NEW_COUNT DECIMAL NULL, 
    USED_VALUE DECIMAL(12, 2) NULL, 
    USED_COUNT DECIMAL NULL, 
    COLLECTIBLE_VALUE DECIMAL(12, 2) NULL, 
    COLLECTIBLE_COUNT DECIMAL NULL, 
    BUYER_WAITING DECIMAL NULL,
    WEIGHT VARCHAR(32) NULL, 
    USER1 VARCHAR(255) NULL, 
    USER2 VARCHAR(255) NULL, 
    USER3 VARCHAR(255) NULL, 
    USER4 VARCHAR(255) NULL, 
    USER5 VARCHAR(255) NULL, 
    USER6 VARCHAR(255) NULL, 
    USER7 VARCHAR(255) NULL, 
    USER8 VARCHAR(255) NULL, 
    USER9 VARCHAR(255) NULL, 
    USER10 VARCHAR(255) NULL, 
    FILLER1 VARCHAR(255) NULL, 
    FILLER2 VARCHAR(255) NULL, 
    FILLER3 VARCHAR(255) NULL, 
    FILLER4 VARCHAR(255) NULL, 
    FILLER5 VARCHAR(255) NULL, 
    FILLER6 VARCHAR(255) NULL, 
    FILLER7 VARCHAR(255) NULL, 
    FILLER8 VARCHAR(255) NULL, 
    FILLER9 VARCHAR(255) NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the ReaderwareAW Disks table
CREATE TABLE AUDIOWARE_DISKS (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    ALBUM_ID DECIMAL NOT NULL,
    DISK_NUMBER DECIMAL NOT NULL,
    DISK_TITLE VARCHAR(255) NULL, 
    DISK_SIDE_BREAK DECIMAL NOT NULL,
    DISK_UNIT_NUMBER DECIMAL NULL,
    DISK_SLOT_NUMBER DECIMAL NULL,
    DISK_RUNNING_TIME DECIMAL NULL, 
    DISK_USER1 VARCHAR(255) NULL, 
    DISK_USER2 VARCHAR(255) NULL, 
    DISK_FILLER1 VARCHAR(255) NULL, 
    DISK_FILLER2 VARCHAR(255) NULL
--    PRIMARY KEY(ROWKEY),
--    FOREIGN KEY(ALBUM_ID) REFERENCES AUDIOWARE(ROWKEY)
);


-- Create the ReaderwareAW Tracks table
CREATE TABLE AUDIOWARE_TRACKS (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    DISK_ID DECIMAL NOT NULL,
    TRK_NUMBER DECIMAL NOT NULL,
    TRK_TITLE VARCHAR(255) NULL, 
    TRK_ARTIST DECIMAL NULL, 
    TRK_COMPOSER DECIMAL NULL, 
    TRK_CONDUCTOR DECIMAL NULL, 
    TRK_ORCHESTRA DECIMAL NULL, 
    TRK_SOLOIST DECIMAL NULL, 
    TRK_WORK_TITLE VARCHAR(255) NULL, 
    TRK_SONGWRITER VARCHAR(75) NULL,
    TRK_RUNNING_TIME DECIMAL NULL, 
    TRK_MY_RATING DECIMAL NULL, 
    TRK_FAVORITE DECIMAL NOT NULL,
    TRK_PLAYLIST DECIMAL NOT NULL,
    TRK_BONUS_TRACK DECIMAL NOT NULL,
    TRK_PLAYED_COUNT DECIMAL NOT NULL,
    TRK_BPM DECIMAL NOT NULL,
    TRK_COMMENTS VARCHAR(255), 
    TRK_MEDIA_URL VARCHAR(255), 
    TRK_USER1 VARCHAR(255), 
    TRK_USER2 VARCHAR(255), 
    TRK_FILLER1 VARCHAR(255) NULL, 
    TRK_FILLER2 VARCHAR(255) NULL
--    PRIMARY KEY(ROWKEY),
--    FOREIGN KEY(DISK_ID) REFERENCES AUDIOWARE_DISKS(ROWKEY)
);


-- Create the ReaderwareAW Contributor table
CREATE TABLE CONTRIBUTOR (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    NAME VARCHAR(128) NOT NULL,
    SORT_NAME VARCHAR(128) NULL,
    ROLE1 DECIMAL NULL,
    ROLE2 DECIMAL NULL,
    ROLE3 DECIMAL NULL,
    BIO VARCHAR(32768) NULL, 
    FAVORITE DECIMAL NOT NULL,
    BIRTH_DATE DATE NULL, 
    BIRTH_PLACE VARCHAR(128) NULL,
    DEATH_DATE DATE NULL, 
    DEATH_PLACE VARCHAR(128) NULL,
    NOTES VARCHAR(32768) NULL, 
    CONTRIB_URL VARCHAR(255) NULL, 
    IMAGE_DATA BLOB(32768) NULL, 
    EXTERNAL_ID VARCHAR(32) NULL, 
    USER1 VARCHAR(255) NULL, 
    USER2 VARCHAR(255) NULL, 
    FILLER1 VARCHAR(255) NULL, 
    FILLER2 VARCHAR(255) NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Category table
CREATE TABLE CATEGORY_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Condition table
CREATE TABLE CONDITION_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Publisher (Label) table
CREATE TABLE PUBLISHER_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Type table
CREATE TABLE TYPE_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Format table
CREATE TABLE FORMAT_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Location table
CREATE TABLE LOCATION_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the User Rating table
CREATE TABLE MY_RATING_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Series table
CREATE TABLE SERIES_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Sound table
CREATE TABLE SOUND_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Language table
CREATE TABLE LANGUAGE_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Source table
CREATE TABLE SOURCE_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Purchase Place table
CREATE TABLE PURCHASE_PLACE_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Owner table
CREATE TABLE OWNER_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(128) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Status table
CREATE TABLE STATUS_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Recording table
CREATE TABLE RECORDING_LIST (
    ROWKEY DECIMAL IDENTITY NOT NULL,
    LISTITEM VARCHAR(32) NOT NULL
--    PRIMARY KEY(ROWKEY)
);


-- Create the Loan table
CREATE TABLE LOANS (
    LN_ROWKEY DECIMAL IDENTITY NOT NULL,
    LN_ITEM_ROWKEY DECIMAL NOT NULL,
    LN_BRWR_ROWKEY DECIMAL NOT NULL,
    LN_ITEM_COPY_ID VARCHAR(255) NULL,
    LN_STATUS DECIMAL NULL,
    LN_OUT_DATE DATE NOT NULL, 
    LN_DUE_DATE DATE NULL, 
    LN_IN_DATE DATE NULL, 
    LN_USER1 VARCHAR(255) NULL, 
    LN_USER2 VARCHAR(255) NULL, 
    LN_FILLER1 VARCHAR(255) NULL, 
    LN_FILLER2 VARCHAR(255) NULL
--    PRIMARY KEY(LN_ROWKEY)
);


-- Create the Borrower table
CREATE TABLE BORROWER (
    BRWR_ROWKEY DECIMAL IDENTITY NOT NULL,
    BRWR_FNAME VARCHAR(100) NULL,
    BRWR_LNAME VARCHAR(100) NULL,
    BRWR_ID VARCHAR(32) NULL,
    BRWR_STATUS DECIMAL NULL,
    BRWR_EMAIL VARCHAR(100) NULL, 
    BRWR_PHONE1 VARCHAR(32) NULL,
    BRWR_PHONE2 VARCHAR(32) NULL,
    BRWR_FAX VARCHAR(32) NULL,
    BRWR_ORG VARCHAR(100) NULL,
    BRWR_ADDR1 VARCHAR(100) NULL,
    BRWR_ADDR2 VARCHAR(100) NULL,
    BRWR_CITY VARCHAR(100) NULL,
    BRWR_STATE VARCHAR(32) NULL,
    BRWR_ZIP VARCHAR(32) NULL,
    BRWR_USER1 VARCHAR(255) NULL, 
    BRWR_USER2 VARCHAR(255) NULL, 
    BRWR_FILLER1 VARCHAR(255) NULL, 
    BRWR_FILLER2 VARCHAR(255) NULL
--    UNIQUE (BRWR_ID),
--    PRIMARY KEY(BRWR_ROWKEY)
);
