
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Color table
INSERT INTO COLOR_LIST (ROWKEY, LISTITEM) VALUES (1, 'B&W');
INSERT INTO COLOR_LIST (ROWKEY, LISTITEM) VALUES (2, 'Color');
SELECT pg_catalog.setval('color_list_rowkey_seq', 2, true);


-- Populate the Language table
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');
SELECT pg_catalog.setval('language_list_rowkey_seq', 4, true);


-- Populate the Type table
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');
SELECT pg_catalog.setval('type_list_rowkey_seq', 4, true);


-- Populate the Format table
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Beta');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'DVD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'LaserDisc');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'VHS');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'Blu-ray');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'HD DVD');
SELECT pg_catalog.setval('format_list_rowkey_seq', 6, true);


-- Populate the Region table
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (1, '0 - Worldwide');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (2, '1 - USA & Canada');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (3, '2 - Western Europe, Japan & South Africa');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (4, '3 - South East Asia');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (5, '4 - Australia & South America');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (6, '5 - Russia, Eastern Europe & Africa');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (7, '6 - China');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (8, 'All');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (9, 'Blu-ray Region A');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (10, 'Blu-ray Region B');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (11, 'Blu-ray Region C');
SELECT pg_catalog.setval('region_list_rowkey_seq', 11, true);


-- Populate the Industry Rating table
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (1, 'G (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (2, 'PG (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (3, 'PG-13 (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (4, 'R (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (5, 'NC-17 (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (6, 'UC (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (7, 'U (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (8, 'PG (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (9, '12 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (10, '15 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (11, '18 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (12, 'Unrated');
SELECT pg_catalog.setval('certification_list_rowkey_seq', 12, true);

-- Populate the Aspect Ratio table
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (1, 'Standard');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (2, 'Widescreen');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (3, 'Widescreen 16:9');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (4, 'Widescreen 1.85:1');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (5, 'Widescreen 2.39:1');
SELECT pg_catalog.setval('aspect_ratio_list_rowkey_seq', 5, true);


-- Populate the Sound table
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (1, 'Dolby Digital Mono');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (2, 'Dolby Digital Stereo');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (3, 'Dolby 5.1 Surround');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (4, 'Dolby Surround Pro-Logic');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (5, 'DTS Digital Surround');
SELECT pg_catalog.setval('sound_list_rowkey_seq', 5, true);


-- Populate the Status table
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');
SELECT pg_catalog.setval('status_list_rowkey_seq', 7, true);
