
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Color table
SET IDENTITY_INSERT COLOR_LIST ON;
INSERT INTO COLOR_LIST (ROWKEY, LISTITEM) VALUES (1, 'B&W');
INSERT INTO COLOR_LIST (ROWKEY, LISTITEM) VALUES (2, 'Color');
SET IDENTITY_INSERT COLOR_LIST OFF;


-- Populate the Language table
SET IDENTITY_INSERT LANGUAGE_LIST ON;
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');
SET IDENTITY_INSERT LANGUAGE_LIST OFF;


-- Populate the Type table
SET IDENTITY_INSERT TYPE_LIST ON;
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');
SET IDENTITY_INSERT TYPE_LIST OFF;


-- Populate the Format table
SET IDENTITY_INSERT FORMAT_LIST ON;
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Beta');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'DVD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'LaserDisc');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'VHS');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'Blu-ray');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'HD DVD');
SET IDENTITY_INSERT FORMAT_LIST OFF;


-- Populate the Region table
SET IDENTITY_INSERT REGION_LIST ON;
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (1, '0 - Worldwide');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (2, '1 - USA & Canada');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (3, '2 - Western Europe, Japan & South Africa');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (4, '3 - South East Asia');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (5, '4 - Australia & South America');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (6, '5 - Russia, Eastern Europe & Africa');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (7, '6 - China');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (8, 'All');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (9, 'Blu-ray Region A');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (10, 'Blu-ray Region B');
INSERT INTO REGION_LIST (ROWKEY, LISTITEM) VALUES (11, 'Blu-ray Region C');
SET IDENTITY_INSERT REGION_LIST OFF;


-- Populate the Industry Rating table
SET IDENTITY_INSERT CERTIFICATION_LIST ON;
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (1, 'G (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (2, 'PG (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (3, 'PG-13 (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (4, 'R (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (5, 'NC-17 (MPAA)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (6, 'UC (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (7, 'U (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (8, 'PG (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (9, '12 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (10, '15 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (11, '18 (BBFC)');
INSERT INTO CERTIFICATION_LIST (ROWKEY, LISTITEM) VALUES (12, 'Unrated');
SET IDENTITY_INSERT CERTIFICATION_LIST OFF;

-- Populate the Aspect Ratio table
SET IDENTITY_INSERT ASPECT_RATIO_LIST ON;
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (1, 'Standard');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (2, 'Widescreen');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (3, 'Widescreen 16:9');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (4, 'Widescreen 1.85:1');
INSERT INTO ASPECT_RATIO_LIST (ROWKEY, LISTITEM) VALUES (5, 'Widescreen 2.39:1');
SET IDENTITY_INSERT ASPECT_RATIO_LIST OFF;


-- Populate the Sound table
SET IDENTITY_INSERT SOUND_LIST ON;
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (1, 'Dolby Digital Mono');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (2, 'Dolby Digital Stereo');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (3, 'Dolby 5.1 Surround');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (4, 'Dolby Surround Pro-Logic');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (5, 'DTS Digital Surround');
SET IDENTITY_INSERT SOUND_LIST OFF;


-- Populate the Status table
SET IDENTITY_INSERT STATUS_LIST ON;
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');
SET IDENTITY_INSERT STATUS_LIST OFF;
